CMSIS-RTOS: Globals

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- o
- s

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - o -

- os_error() : cmsis_os_rtx_extensions.h , RTX_Conf_CM.c
- os_idle_demon() : cmsis_os_rtx_extensions.h , RTX_Conf_CM.c
- os_resume() : cmsis_os_rtx_extensions.h
- os_suspend() : cmsis_os_rtx_extensions.h
- os_tick_init() : RTX_Conf_CM.c
- os_tick_irqack() : RTX_Conf_CM.c
- os_tick_ovf() : RTX_Conf_CM.c
- os_tick_val() : RTX_Conf_CM.c
- osDelay() : cmsis_os.h
- osKernelInitialize() : cmsis_os.h
- osKernelRunning() : cmsis_os.h
- osKernelStart() : cmsis_os.h
- osKernelSysTick() : cmsis_os.h
- osMailAlloc() : cmsis_os.h
- osMailCAlloc() : cmsis_os.h
- osMailCreate() : cmsis_os.h
- osMailFree() : cmsis_os.h
- osMailGet() : cmsis_os.h
- osMailPut() : cmsis_os.h
- osMessageCreate() : cmsis_os.h
- osMessageGet() : cmsis_os.h
- osMessagePut() : cmsis_os.h
- osMutexCreate() : cmsis_os.h
- osMutexDelete() : cmsis_os.h
- osMutexRelease() : cmsis_os.h
- osMutexWait() : cmsis_os.h
- osPoolAlloc() : cmsis_os.h
- osPoolCAlloc() : cmsis_os.h
- osPoolCreate() : cmsis_os.h
- osPoolFree() : cmsis_os.h
- osSemaphoreCreate() : cmsis_os.h
- osSemaphoreDelete() : cmsis_os.h
- osSemaphoreRelease() : cmsis_os.h
- osSemaphoreWait() : cmsis_os.h
- osSignalClear() : cmsis_os.h
- osSignalSet() : cmsis_os.h
- osSignalWait() : cmsis_os.h
- osThreadCreate() : cmsis_os.h
- osThreadGetId() : cmsis_os.h
- osThreadGetPriority() : cmsis_os.h
- osThreadSetPriority() : cmsis_os.h
- osThreadTerminate() : cmsis_os.h
- osThreadYield() : cmsis_os.h
- osTimerCreate() : cmsis_os.h
- osTimerDelete() : cmsis_os.h
- osTimerStart() : cmsis_os.h
- osTimerStop() : cmsis_os.h
- osWait() : cmsis_os.h

### - s -

- svcThreadGetId() : RTX_Conf_CM.c